# Running the Formatter Application

Running the formatter application is as simple as running the org.eclipse.jdt.core.JavaCodeFormatter application from the commandline:

        eclipse -vm <path to virtual machine> -application org.eclipse.jdt.core.JavaCodeFormatter [ OPTIONS ] <files>

<files> | Java source files and/or directories to format. Only files ending with .java will be formatted in the given directory.

OPTIONS | Description
--- | ---
-config <file> | Use the formatting style from the specified properties file. Refer to Generating a config file for the formatter application for details.
-help | Display the help message.
-quiet | Only print error messages.
-verbose | Be verbose about the formatting job.

Code formatter